# Class NativeCommand

java.lang.Object
org.apache.jorphan.exec.SystemCommand
org.apache.jmeter.protocol.system.NativeCommand

@Deprecated public class NativeCommand extends SystemCommand
Deprecated.
(2.10) use `SystemCommand` instead
Native Command

## Field Summary

### Fields inherited from class SystemCommand

`POLL_INTERVAL`

## Constructor Summary

Constructors
Constructor
Description
`NativeCommand(File directory, Map<String,String> env)`
Deprecated.
`NativeCommand(File directory, Map<String,String> env, String stdin, String stdout, String stderr)`
Deprecated.

## Method Summary

### Methods inherited from class SystemCommand

`getExecutionEnvironment, getOutResult, run, run`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NativeCommand

public NativeCommand(File directory, Map<String,String> env)
Deprecated.

Parameters:
  `directory` - File working directory
  `env` - Environment variables appended to environment

### NativeCommand

public NativeCommand(File directory, Map<String,String> env, String stdin, String stdout, String stderr) throws IOException
Deprecated.

Parameters:
  `directory` - File working directory
  `env` - Environment variables appended to environment
  `stdin` - File name that will contain data to be input to process
  `stdout` - File name that will contain out stream
  `stderr` - File name that will contain err stream
Throws:
  `IOException` - if any of the files are not accessible